# node-utopian-rocks

[![GitHub license](https://img.shields.io/github/license/gigatoride/node-utopian-rocks.svg)](https://github.com/gigatoride/node-utopian-rocks/blob/master/LICENSE)
![GitHub license](https://img.shields.io/badge/powered%20by-utopian.io-ff69b4.svg)

An API wrapper for utopian.rocks.

# Installing

Using npm:

```cmd
npm install node-utopian-rocks
```


# Usage

First add it to your project

```js
// Using CommonJS modules
const utopian = require('node-utopian-rocks');
```

For example retrieving posts by category and status ``Asynchronously``:

```js
await utopian.getPosts('development', 'reviewed')

```

or by using ``.then()`` method:

```js
utopian.getPosts('development', 'reviewed').then(posts => posts);
```

Or Let's run some tests:

```
npm test
```

# API

## Request method aliases

`` utopian.getPosts(params) ``

`` utopian.getModerators() ``

`` utopian.getStats(params) ``


## Request parameters
These are the available parameters for making requests.

We will start with posts ``object``:

```js
utopian.getPosts(category, status, author, moderator, staff_picks)
```

Any parameter can be ignored by empty string or just null

```js
utopian.getPosts(category, null, author, null, staff_picks)
```

For moderators ``object`` it should be called without any parameters.

```js
utopian.getModerators();
```

For Statistics

```js
/**
 * you can use a specificDate like 2018-05-24 or today, weekly.
 * Those are the available sections for stats:
 * moderators, categories, projects, staff_picks, task_requests
 * any thing else will retrieve all sections.
 */
utopian.getStats(specificDate, section);
```

# Roadmap

- Adding any upcoming API calls that will be available on https://utopian.rocks
- More improvements and more advanced options, configs.

# Contributing

Feel free to create any [pull requests](https://github.com/gigatoride/node-utopian-rocks/compare).

# Bugs

If there is any bug please report it by opening a [new issue](https://github.com/gigatoride/node-utopian-rocks/issues/new).